PyUML and PyDEV 2.0

Help
ArtDijk
2011-05-15
2013-04-16
  • ArtDijk
    ArtDijk
    2011-05-15

    I can't install PyUML on the current Eclipse 3.5.2 version and PyDev 2.0.
    How can this be resolved ?
    Thanks
    Arthur

     
  • Georges Schutz
    Georges Schutz
    2011-05-20

    I have some how the same problem using Eclipse 3.6.2 (Helios) and using Pydev 2.0.0 already for my development.
    I tried to add PyUML as described in the post of polki 2011-01-15 15:04:27 CET (Treat "Installation problem").

    The installation stopped with the following error:

    Cannot complete the install because one or more required items could not be found.
      Software being installed: PyUML Feature 1.2.2 (pyUML.feature.group 1.2.2)
      Software currently installed: PyDev for Eclipse 2.0.0.2011040403 (org.python.pydev.feature.feature.group 2.0.0.2011040403)
      Missing requirement: Pydev Red Core 1.5.9.2010063000 (org.python.pydev.red_core 1.5.9.2010063000) requires 'bundle com.aptana.theme 0.0.0' but it could not be found

    I suppose PyUML is currently not compatible with pydev 2.0.0.

    Do you plan to move on to pydev 2.0.0 in the near future or do I need to downgrade to a earlier Pydev version to use PyUML.

    Georges

     
  • Sven Jörns
    Sven Jörns
    2011-08-23

    I have the same problem with PyDev 2.2.1.2011071313 on Helios

    Cannot complete the install because one or more required items could not be found.
      Software being installed: PyUML Feature 1.2.2 (pyUML.feature.group 1.2.2)
      Software currently installed: PyDev for Eclipse 2.2.1.2011071313 (org.python.pydev.feature.feature.group 2.2.1.2011071313)
      Missing requirement: Pydev Red Core 1.5.9.2010063000 (org.python.pydev.red_core 1.5.9.2010063000) requires 'bundle com.aptana.theme 0.0.0' but it could not be found
      Only one of the following can be installed at once: 
        Customizations Plug-in 1.5.8.2010062823 (org.python.pydev.customizations 1.5.8.2010062823)
        Customizations Plug-in 1.5.5.2010030420 (org.python.pydev.customizations 1.5.5.2010030420)
        Customizations Plug-in 1.5.0.1251989166 (org.python.pydev.customizations 1.5.0.1251989166)
        Customizations Plug-in 1.6.0.2010071813 (org.python.pydev.customizations 1.6.0.2010071813)
        Customizations Plug-in 1.6.1.2010080312 (org.python.pydev.customizations 1.6.1.2010080312)
        Customizations Plug-in 2.2.2.2011082312 (org.python.pydev.customizations 2.2.2.2011082312)
        Customizations Plug-in 1.6.4.2011010200 (org.python.pydev.customizations 1.6.4.2011010200)
        Customizations Plug-in 1.5.1.1258496115 (org.python.pydev.customizations 1.5.1.1258496115)
        Customizations Plug-in 1.5.6.2010033101 (org.python.pydev.customizations 1.5.6.2010033101)
        Customizations Plug-in 1.6.3.2010100513 (org.python.pydev.customizations 1.6.3.2010100513)
        Customizations Plug-in 1.5.9.2010063001 (org.python.pydev.customizations 1.5.9.2010063001)
        Customizations Plug-in 2.2.1.2011071313 (org.python.pydev.customizations 2.2.1.2011071313)
        Customizations Plug-in 1.5.9.2010063000 (org.python.pydev.customizations 1.5.9.2010063000)
        Customizations Plug-in 1.6.5.2011020317 (org.python.pydev.customizations 1.6.5.2011020317)
        Customizations Plug-in 2.1.0.2011052613 (org.python.pydev.customizations 2.1.0.2011052613)
        Customizations Plug-in 1.6.2.2010090812 (org.python.pydev.customizations 1.6.2.2010090812)
        Customizations Plug-in 2.2.0.2011062419 (org.python.pydev.customizations 2.2.0.2011062419)
        Customizations Plug-in 1.6.2.2010090711 (org.python.pydev.customizations 1.6.2.2010090711)
        Customizations Plug-in 1.5.7.2010050621 (org.python.pydev.customizations 1.5.7.2010050621)
        Customizations Plug-in 2.0.0.2011040403 (org.python.pydev.customizations 2.0.0.2011040403)
        Customizations Plug-in 1.5.2.1260362205 (org.python.pydev.customizations 1.5.2.1260362205)
        Customizations Plug-in 1.5.4.2010011921 (org.python.pydev.customizations 1.5.4.2010011921)
        Customizations Plug-in 1.5.3.1260479439 (org.python.pydev.customizations 1.5.3.1260479439)
      Cannot satisfy dependency:
        From: PyDev for Eclipse 1.5.0.1251989166 (org.python.pydev.feature.feature.group 1.5.0.1251989166)
        To: org.python.pydev.customizations [1.5.0.1251989166]
      Cannot satisfy dependency:
        From: PyDev for Eclipse 1.5.1.1258496115 (org.python.pydev.feature.feature.group 1.5.1.1258496115)
        To: org.python.pydev.customizations [1.5.1.1258496115]
      Cannot satisfy dependency:
        From: PyDev for Eclipse 1.5.2.1260362205 (org.python.pydev.feature.feature.group 1.5.2.1260362205)
        To: org.python.pydev.customizations [1.5.2.1260362205]
      Cannot satisfy dependency:
        From: PyDev for Eclipse 1.5.3.1260479439 (org.python.pydev.feature.feature.group 1.5.3.1260479439)
        To: org.python.pydev.customizations [1.5.3.1260479439]
      Cannot satisfy dependency:
        From: PyDev for Eclipse 1.5.4.2010011921 (org.python.pydev.feature.feature.group 1.5.4.2010011921)
        To: org.python.pydev.customizations [1.5.4.2010011921]
      Cannot satisfy dependency:
        From: PyDev for Eclipse 1.5.5.2010030420 (org.python.pydev.feature.feature.group 1.5.5.2010030420)
        To: org.python.pydev.customizations [1.5.5.2010030420]
      Cannot satisfy dependency:
        From: PyDev for Eclipse 1.5.6.2010033101 (org.python.pydev.feature.feature.group 1.5.6.2010033101)
        To: org.python.pydev.customizations [1.5.6.2010033101]
      Cannot satisfy dependency:
        From: PyDev for Eclipse 1.5.7.2010050621 (org.python.pydev.feature.feature.group 1.5.7.2010050621)
        To: org.python.pydev.customizations [1.5.7.2010050621]
      Cannot satisfy dependency:
        From: PyDev for Eclipse 1.5.8.2010062823 (org.python.pydev.feature.feature.group 1.5.8.2010062823)
        To: org.python.pydev.customizations [1.5.8.2010062823]
      Cannot satisfy dependency:
        From: PyDev for Eclipse 1.5.9.2010063000 (org.python.pydev.feature.feature.group 1.5.9.2010063000)
        To: org.python.pydev.red_core [1.5.9.2010063000]
      Cannot satisfy dependency:
        From: PyDev for Eclipse 1.5.9.2010063001 (org.python.pydev.feature.feature.group 1.5.9.2010063001)
        To: org.python.pydev.customizations [1.5.9.2010063001]
      Cannot satisfy dependency:
        From: PyDev for Eclipse 1.6.0.2010071813 (org.python.pydev.feature.feature.group 1.6.0.2010071813)
        To: org.python.pydev.customizations [1.6.0.2010071813]
      Cannot satisfy dependency:
        From: PyDev for Eclipse 1.6.1.2010080312 (org.python.pydev.feature.feature.group 1.6.1.2010080312)
        To: org.python.pydev.customizations [1.6.1.2010080312]
      Cannot satisfy dependency:
        From: PyDev for Eclipse 1.6.2.2010090711 (org.python.pydev.feature.feature.group 1.6.2.2010090711)
        To: org.python.pydev.customizations [1.6.2.2010090711]
      Cannot satisfy dependency:
        From: PyDev for Eclipse 1.6.2.2010090812 (org.python.pydev.feature.feature.group 1.6.2.2010090812)
        To: org.python.pydev.customizations [1.6.2.2010090812]
      Cannot satisfy dependency:
        From: PyDev for Eclipse 1.6.3.2010100513 (org.python.pydev.feature.feature.group 1.6.3.2010100513)
        To: org.python.pydev.customizations [1.6.3.2010100513]
      Cannot satisfy dependency:
        From: PyDev for Eclipse 1.6.4.2011010200 (org.python.pydev.feature.feature.group 1.6.4.2011010200)
        To: org.python.pydev.customizations [1.6.4.2011010200]
      Cannot satisfy dependency:
        From: PyDev for Eclipse 1.6.5.2011020317 (org.python.pydev.feature.feature.group 1.6.5.2011020317)
        To: org.python.pydev.customizations [1.6.5.2011020317]
      Cannot satisfy dependency:
        From: PyDev for Eclipse 2.2.1.2011071313 (org.python.pydev.feature.feature.group 2.2.1.2011071313)
        To: org.python.pydev.customizations [2.2.1.2011071313]
      Cannot satisfy dependency:
        From: PyUML Feature 1.2.2 (pyUML.feature.group 1.2.2)
        To: org.python.pydev.feature.feature.group [1.4.6,2.0.0)
    

    hopefully this nice project will not die.